LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Problems with the Linux version of XAMPP, questions, comments, and anything related.

LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Postby JonB » 05. November 2012 22:18

Issue 403 Forbidden Error on phpMyAdmin

Courtesy of Altrea:
viewtopic.php?f=3&t=50969

Code: Select all
#
# New XAMPP security concept
#
<LocationMatch "^/(?i:(?:xampp|security|licenses|phpmyadmin|webalizer|server-status|server-info))">
   <RequireAny>
    Require ip ::1 127.0.0.0/8 \
      fc00::/7 10.0.0.0/8 172.16.0.0/12 192.168.0.0/16 \
      fe80::/10 169.254.0.0/16
   </RequireAny>
   ErrorDocument 403 /error/XAMPP_FORBIDDEN.html.var
</LocationMatch>


Good Luck to all
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Postby kenjis » 07. November 2012 01:24

<RequireAny> and </RequireAny> are not necessary.

Code: Select all
--- httpd-xampp.conf.orig   2012-05-15 18:22:41.000000000 +0900
+++ httpd-xampp.conf   2012-11-07 09:16:38.000000000 +0900
@@ -57,9 +57,7 @@
 # New XAMPP security concept
 #
 <LocationMatch "^/(?i:(?:xampp|security|licenses|phpmyadmin|webalizer|server-status|server-info))">
-   Order deny,allow
-   Deny from all
-   Allow from ::1 127.0.0.0/8 \
+   Require ip ::1 127.0.0.0/8 \
       fc00::/7 10.0.0.0/8 172.16.0.0/12 192.168.0.0/16 \
       fe80::/10 169.254.0.0/16
kenjis
 
Posts: 9
Joined: 07. November 2012 01:19
XAMPP Version: 5.6.3
Operating System: Linux

Re: LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Postby Altrea » 07. November 2012 04:58

Hi kenjis,

kenjis wrote:<RequireAny> and </RequireAny> are not necessary.

Thank you for the feedback.
You are correct. The <RequireAny> Container is not necessary. But it has no disadvantages anyways and prepares the whole block for adding another authentification method like authnz_ldap, auth_digest or something like that.
Thats the only reason i added it. You can leave it off if you want to :)

best wishes,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 6475
Joined: 17. August 2009 13:05
XAMPP Version: 5.5.19
Operating System: W7Ux64

Re: LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Postby navonn » 10. February 2013 06:37

Hi
I don't undertand why I don't succeed to access phpmyadmin. I have tried many times and no success ...
The Xampp version is 1.8.1, and I have Linux Ubuntu 12.10, on Intel Core Duo 2 CPU 32 bits.
I have done all the modifications described in this forum on httpd-xampp.conf and I get nothing but Error 403 ... I just need to install Xampp as a local server on a stand alone machine (for testing). In my previous version of Xampp (on Ubuntu 12.04) it worked pretty well.
Is there any other file to modify ? Is there a modification of privileges that I should do ?
Thank you very much for your help
Navonn
navonn
 
Posts: 3
Joined: 06. February 2013 21:15
XAMPP Version: 5.6.3
Operating System: Linux

Re: LAMPP 1.8.1 fix for phpMyAdmin + 'new Security Concept'

Postby peterau » 24. May 2013 15:04

Hey navonn, try updating to the latest versions first when troubleshooting to see if this does the trick, oftentimes it does for me! If not then it 'may' be a bug, but it might not, when are you getting the 403 error exactly? Is there any other info attached? I always just leave the requierany container off :)
Peter
peterau
 
Posts: 1
Joined: 24. May 2013 14:57
XAMPP Version: 5.5.19
Operating System: win7


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests